package booksshop;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;
import java.util.*;

public class BooksActionForm extends ActionForm {
    private String author;
    private String isbn;
    private String pages;
    private String price;
    private String publisher;
    private String title;
    private String deleteisbn;


    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public void setPages(String pages) {
        this.pages = pages;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public void setDeleteisbn(String isbn) {
        this.deleteisbn = isbn;
    }

    public String getIsbn() {
        return isbn;
    }

    public String getPages() {
        return pages;
    }

    public String getPrice() {
        return price;
    }

    public String getPublisher() {
        return publisher;
    }

    public String getTitle() {
        return title;
    }

    public String getDeleteisbn() {
        return deleteisbn;
    }

    public ActionErrors validate(ActionMapping actionMapping,
                                 HttpServletRequest httpServletRequest) {
            /** @todo: 完成此方法, 这仅仅是框架.*/
        return null;
    }

    public void reset(ActionMapping actionMapping,
                      HttpServletRequest servletRequest) {
    }
}
